/*
*/

#ifndef PHONON_GST_VISUALIZATION_H
#define PHONON_GST_VISUALIZATION_H

#include <QObject>

namespace Phonon
{
namespace Gst
{
	class AudioPath;
	class AbstractVideoOutput;

class Visualization : public QObject
{
	Q_OBJECT
	public:
		Visualization( QObject* parent = 0 );

	public Q_SLOTS:
		int visualization() const;
		void setVisualization( int newVisualization );
		void setAudioPath( QObject* audioPath );
		void setVideoOutput( QObject* videoOutput );

	private:
		int m_visualization;
		AudioPath* m_audioPath;
		AbstractVideoOutput* m_videoOutput;
};

}} //namespace Phonon::Gst

#endif // PHONON_GST_VISUALIZATION_H
